## org.hibernate.type
Interface AbstractComponentType

All Superinterfaces:
  CompositeType, Serializable, Type

Deprecated. in favor of `CompositeType`

    public interface AbstractComponentType

extends CompositeType

Enables other Component-like types to hold collections and have cascades, etc.

See Also:
  `ComponentType`, `AnyType`

Method Summary

Methods inherited from interface org.hibernate.type.CompositeType
`getCascadeStyle, getFetchMode, getPropertyNames, getPropertyNullability, getPropertyValue, getPropertyValues, getPropertyValues, getSubtypes, isEmbedded, isMethodOf, setPropertyValues`

Methods inherited from interface org.hibernate.type.Type

`assemble, beforeAssemble, compare, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getName, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.